Package org.eclipse.core.databinding.bind.steps

# Class SetOneWaySteps

java.lang.Object
org.eclipse.core.databinding.bind.steps.SetOneWaySteps

public final class SetOneWaySteps extends Object
Contains `Step` interfaces for the fluent databinding API for one-way `IObservableSet` bindings. Each of these interfaces define the operations that are allowed in a particular pipeline step.

Since:
  1.11

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`SetOneWaySteps.SetOneWayBindWriteConfigStep<F,T,THIS extends SetOneWaySteps.SetOneWayBindWriteConfigStep<F,T,THIS>>`
Step for configuring the to-end and creating the binding.
`static interface`
`SetOneWaySteps.SetOneWayConvertStep<F,THIS extends SetOneWaySteps.SetOneWayConvertStep<F,THIS>>`
Step for converting between from- and to-types.
`static interface`
`SetOneWaySteps.SetOneWayFromStep`
Refines the return types of the `SetCommonSteps.SetFromStep` methods for use with one-way bindings.
`static interface`
`SetOneWaySteps.SetOneWayToStep<F,T>`
Step for setting the to-end observable.
`static interface`
`SetOneWaySteps.SetOneWayUntypedTo<F>`
Step for settings to-end observable using default converters.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`